%define module_name App-EC2Cssh
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(IO/Pipe.pm) perl(IO/Socket/SSL.pm) perl(IPC/System/Simple.pm) perl(Log/Any.pm) perl(Moose.pm) perl(Net/Amazon/EC2.pm) perl(Pod/Usage.pm) perl(Safe.pm) perl(Text/Template.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.007
Release: alt1
Summary: Use the power of Net::Amazon::EC2 to power Cluster SSH (or CsshX)
Group: Development/Perl
License: perl
URL: https://github.com/jeteve/ec2-cssh

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JETEVE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}
sed -i -e 's,^#! ,#!,' scripts/*

%build
%perl_vendor_build

%install
%perl_vendor_install
find $RPM_BUILD_ROOT/usr/bin -exec sed -i -e '1s,^#\!\(/usr\)\?/bin/env[[:space:]]*perl,#!/usr/bin/perl,;1s,-\*-[[:space:]]*cperl[[:space:]]*-\*-,,;' {} \;

%files
%doc Changes README.md LICENSE README
%perl_vendor_privlib/A*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.007-alt1
- regenerated from template by package builder

* Mon Oct 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- regenerated from template by package builder

* Sat Oct 24 2015 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- new version

